This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 649262 - Raid device disabled after installation
Raid device disabled after installation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
: 650596 654818 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-03 07:42 EDT by markm
Modified: 2011-07-14 19:39 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 19:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/fstab and 'fdisk -l' output (3.37 KB, text/plain)
2010-11-10 00:43 EST, Steve
no flags Details
/etc/fstab file (992 bytes, text/plain)
2010-11-11 18:29 EST, markm
no flags Details
/etc/fstab (936 bytes, application/octet-stream)
2010-11-12 09:18 EST, Jurgen Kramer
no flags Details
my fstab and df -h (1.16 KB, text/plain)
2010-11-24 00:31 EST, William
no flags Details

  None (edit)
Description markm 2010-11-03 07:42:32 EDT
Description of problem:

In my computer I have a single drive for OS use and separate "storage" raid5 array - software array. I was happily using it in Fedora 13, did an upgrade to Fedora 14 today - during the installation process anaconda has correctly identified the raid array, so I've set a mount point for it as /media/Storage.

when I restarted my computer, it turned out that raid array is no longer running, drives are missing etc and system didn't boot. You don't really want to see messages like that after the os installation.

so I've logged in to the rescue mode from the installation dvd, disabled in /etc/fstab mounting point for the raid array and restarted my computer - this time it worked fine, though raid array still didn't work.

I looked into "Disk Utility" and it showed me, that raid array is not running though I had a button to stop raid only, devices list showed missing drives... so I stopped and started raid array and this time it... worked fine.

That reminded me about the kernel command line switches... when I looked into /etc/grub.conf, I saw something like that:

kernel /vmlinuz-2.6.35.6-48.fc14.i686 ro root=UUID=9a6e3b13-ea78-47d9-94fd-c5c0112538ac rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=pl2 rhgb quiet

to my understanding, it basically tells kernel, that no lvm, no software raid, no encryption etc. is in use... which is incorrect. removing all those rd_NO_* bits fixes an issue and I can have my raid array mounted on boot, yay.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lumens 2010-11-07 11:12:13 EST
*** Bug 650596 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2010-11-08 16:48:45 EST
James - have you seen anything like this before?  I think we can solve this, but a quick look at the code shows it's going to require some stepping through, so we need a reliable reproducer.
Comment 3 Steve 2010-11-09 02:32:48 EST
hi

updated F13 to F14 yesterday and the raid5 is marked as inactive 
here.  Stopping the raid and reassembling works.

rc.local
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local
/sbin/ifconfig eth0 up
/sbin/ifconfig eth0 192.168.1.14 netmask 255.255.255.0
/sbin/route add default gw 192.168.1.1
/sbin/mdadm --detail /dev/md0 > /var/tmp/raid.0
/sbin/mdadm --stop /dev/md0
/sbin/mdadm -A /dev/md0 /dev/sdb1 /dev/sdc1 /dev/sdd1
/bin/mount /dev/md0 /home
/sbin/mdadm --detail /dev/md0 > /var/tmp/raid.1

/var/tmp/raid.0
/dev/md0:
        Version : 1.1
  Creation Time : Fri Jul  9 17:18:20 2010
     Raid Level : raid5
  Used Dev Size : 976759296 (931.51 GiB 1000.20 GB)
   Raid Devices : 3                                                                                                                   
  Total Devices : 1                                                                                                                   
    Persistence : Superblock is persistent                                                                                            
                                                                                                                                      
    Update Time : Tue Nov  9 18:15:34 2010                                                                                            
          State : active, FAILED, Not Started                                                                                         
 Active Devices : 1                                                                                                                   
Working Devices : 1                                                                                                                   
 Failed Devices : 0                                                                                                                   
  Spare Devices : 0                                                                                                                   
                                                                                                                                      
         Layout : left-symmetric                                                                                                      
     Chunk Size : 512K                                                                                                                
                                                                                                                                      
           Name : localhost.localdomain:0                                                                                             
           UUID : 7c1d6925:65c16ab3:b000a231:ead011c0                                                                                 
         Events : 77111                                                                                                               
                                                                                                                                      
    Number   Major   Minor   RaidDevice State                                                                                         
       0       8       17        0      active sync   /dev/sdb1                                                                       
       1       0        0        1      removed                                                                                       
       2       0        0        2      removed  

/var/tmp/raid.1
/dev/md0:                                                                                                                             
        Version : 1.1                                                                                                                 
  Creation Time : Fri Jul  9 17:18:20 2010                                                                                            
     Raid Level : raid5                                                                                                               
     Array Size : 1953518592 (1863.02 GiB 2000.40 GB)                                                                                 
  Used Dev Size : 976759296 (931.51 GiB 1000.20 GB)                                                                                   
   Raid Devices : 3                                                                                                                   
  Total Devices : 3
    Persistence : Superblock is persistent

  Intent Bitmap : Internal

    Update Time : Tue Nov  9 18:16:36 2010
          State : active
 Active Devices : 3
Working Devices : 3
 Failed Devices : 0
  Spare Devices : 0

         Layout : left-symmetric
     Chunk Size : 512K

           Name : localhost.localdomain:0
           UUID : 7c1d6925:65c16ab3:b000a231:ead011c0
         Events : 77112

    Number   Major   Minor   RaidDevice State
       0       8       17        0      active sync   /dev/sdb1
       1       8       33        1      active sync   /dev/sdc1
       3       8       49        2      active sync   /dev/sdd1

finally
dmesg
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.35.6-48.fc14.i686.PAE (mockbuild@x86-18.phx2.fedoraproject.org) (gcc version 4.5.1 20100924 (Red Hat 4.5.1-4) (GCC) ) #1 SMP Fri Oct 22 15:27:53 UTC 2010
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009e800 (usable)
[    0.000000]  BIOS-e820: 000000000009e800 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 00000000df770000 (usable)
[    0.000000]  BIOS-e820: 00000000df770000 - 00000000df788000 (ACPI data)
[    0.000000]  BIOS-e820: 00000000df788000 - 00000000df7dc000 (ACPI NVS)
[    0.000000]  BIOS-e820: 00000000df7dc000 - 00000000e0000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000ffe00000 - 0000000100000000 (reserved)
[    0.000000]  BIOS-e820: 0000000100000000 - 0000000120000000 (usable)
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] DMI 2.6 present.
[    0.000000] AMI BIOS detected: BIOS may corrupt low RAM, working around it.
[    0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[    0.000000] e820 update range: 0000000000000000 - 0000000000001000 (usable) ==> (reserved)
[    0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[    0.000000] last_pfn = 0x120000 max_arch_pfn = 0x1000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-CFFFF write-protect
[    0.000000]   D0000-DFFFF uncachable
[    0.000000]   E0000-E7FFF write-through
[    0.000000]   E8000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 000000000 mask F00000000 write-back
[    0.000000]   1 base 100000000 mask FE0000000 write-back
[    0.000000]   2 base 0E0000000 mask FE0000000 uncachable
[    0.000000]   3 disabled
[    0.000000]   4 disabled
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] original variable MTRRs
[    0.000000] reg 0, base: 0GB, range: 4GB, type WB
[    0.000000] reg 1, base: 4GB, range: 512MB, type WB
[    0.000000] reg 2, base: 3584MB, range: 512MB, type UC
[    0.000000] total RAM covered: 4096M
[    0.000000] Found optimal setting for mtrr clean up
[    0.000000]  gran_size: 64K  chunk_size: 1G  num_reg: 3      lose cover RAM: 0G
[    0.000000] New variable MTRRs
[    0.000000] reg 0, base: 0GB, range: 4GB, type WB
[    0.000000] reg 1, base: 3584MB, range: 512MB, type UC
[    0.000000] reg 2, base: 4GB, range: 512MB, type WB
[    0.000000] e820 update range: 00000000e0000000 - 0000000100000000 (usable) ==> (reserved)
[    0.000000] initial memory mapped : 0 - 01000000
[    0.000000] found SMP MP-table at [c00ff780] ff780
[    0.000000] init_memory_mapping: 0000000000000000-00000000371fe000
[    0.000000]  0000000000 - 0000200000 page 4k
[    0.000000]  0000200000 - 0037000000 page 2M
[    0.000000]  0037000000 - 00371fe000 page 4k
[    0.000000] kernel direct mapping tables up to 371fe000 @ 15000-1f000
[    0.000000] RAMDISK: 373a5000 - 37ff0000
[    0.000000] Allocated new RAMDISK: 00c64000 - 018ae9bf
[    0.000000] Move RAMDISK from 00000000373a5000 - 0000000037fef9be to 00c64000 - 018ae9be
[    0.000000] ACPI: RSDP 000fba20 00024 (v02 ACPIAM)
[    0.000000] ACPI: XSDT df770100 0005C (v01 052410 XSDT1352 20100524 MSFT 00000097)
[    0.000000] ACPI: FACP df770290 000F4 (v03 052410 FACP1352 20100524 MSFT 00000097)
[    0.000000] ACPI: DSDT df7704a0 0955A (v01  A1474 A1474001 00000001 INTL 20060113)
[    0.000000] ACPI: FACS df788000 00040
[    0.000000] ACPI: APIC df770390 000CC (v01 052410 APIC1352 20100524 MSFT 00000097)
[    0.000000] ACPI: MCFG df770460 0003C (v01 052410 OEMMCFG  20100524 MSFT 00000097)
[    0.000000] ACPI: OEMB df788040 00072 (v01 052410 OEMB1352 20100524 MSFT 00000097)
[    0.000000] ACPI: HPET df779a00 00038 (v01 052410 OEMHPET  20100524 MSFT 00000097)
[    0.000000] ACPI: DMAR df7880c0 000A8 (v01    AMI  OEMDMAR 00000001 MSFT 00000097)
[    0.000000] ACPI: SSDT df789890 00363 (v01 DpgPmm    CpuPm 00000012 INTL 20060113)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] 3726MB HIGHMEM available.
[    0.000000] 881MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 371fe000
[    0.000000]   low ram: 0 - 371fe000
[    0.000000]   node 0 low ram: 00000000 - 371fe000
[    0.000000]   node 0 bootmap 0001c000 - 00022e40
[    0.000000] (13/32 early reservations) ==> bootmem [0000000000 - 00371fe000]
[    0.000000]   #0 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
[    0.000000]   #1 [0000400000 - 0000c5a280]    TEXT DATA BSS ==> [0000400000 - 0000c5a280]
[    0.000000]   #2 [0000c5b000 - 0000c63246]              BRK ==> [0000c5b000 - 0000c63246]
[    0.000000]   #3 [00000ff790 - 0000100000]    BIOS reserved ==> [00000ff790 - 0000100000]
[    0.000000]   #4 [00000ff780 - 00000ff790]     MP-table mpf ==> [00000ff780 - 00000ff790]
[    0.000000]   #5 [000009e800 - 00000f1310]    BIOS reserved ==> [000009e800 - 00000f1310]
[    0.000000]   #6 [00000f1464 - 00000ff780]    BIOS reserved ==> [00000f1464 - 00000ff780]
[    0.000000]   #7 [00000f1310 - 00000f1464]     MP-table mpc ==> [00000f1310 - 00000f1464]
[    0.000000]   #8 [0000010000 - 0000011000]       TRAMPOLINE ==> [0000010000 - 0000011000]
[    0.000000]   #9 [0000011000 - 0000015000]      ACPI WAKEUP ==> [0000011000 - 0000015000]
[    0.000000]   #10 [0000015000 - 000001c000]          PGTABLE ==> [0000015000 - 000001c000]
[    0.000000]   #11 [0000c64000 - 00018af000]      NEW RAMDISK ==> [0000c64000 - 00018af000]
[    0.000000]   #12 [000001c000 - 0000023000]          BOOTMAP ==> [000001c000 - 0000023000]
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000371fe
[    0.000000]   HighMem  0x000371fe -> 0x00120000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[3] active PFN ranges
[    0.000000]     0: 0x00000010 -> 0x0000009e
[    0.000000]     0: 0x00000100 -> 0x000df770
[    0.000000]     0: 0x00100000 -> 0x00120000
[    0.000000] On node 0 totalpages: 1046270
[    0.000000] free_area_init_node: node 0, pgdat c0a19880, node_mem_map c18b0200
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3950 pages, LIFO batch:0
[    0.000000]   Normal zone: 1732 pages used for memmap
[    0.000000]   Normal zone: 219962 pages, LIFO batch:31
[    0.000000]   HighMem zone: 7453 pages used for memmap
[    0.000000]   HighMem zone: 813141 pages, LIFO batch:31
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x808
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x04] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x03] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x04] lapic_id[0x05] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x05] lapic_id[0x84] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x06] lapic_id[0x85] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x07] lapic_id[0x86] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x08] lapic_id[0x87] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x09] lapic_id[0x88] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0a] lapic_id[0x89] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0b] lapic_id[0x8a] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0c] lapic_id[0x8b] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0d] lapic_id[0x8c] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0e] lapic_id[0x8d] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x0f] lapic_id[0x8e] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x10] lapic_id[0x8f] disabled)
[    0.000000] ACPI: IOAPIC (id[0x06] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 6, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ2 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a701 base: 0xfed00000
[    0.000000] SMP: Allowing 16 CPUs, 12 hotplug CPUs
[    0.000000] nr_irqs_gsi: 40
[    0.000000] PM: Registered nosave memory: 000000000009e000 - 000000000009f000
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000e4000
[    0.000000] PM: Registered nosave memory: 00000000000e4000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at e0000000 (gap: e0000000:1ee00000)
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:16 nr_node_ids:1
[    0.000000] PERCPU: Embedded 15 pages/cpu @c3e00000 s38400 r0 d23040 u131072
[    0.000000] pcpu-alloc: s38400 r0 d23040 u131072 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 1037053
[    0.000000] Kernel command line: ro root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_AU.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rdblacklist=nouveau nomodeset
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Enabling fast FPU save and restore... done.
[    0.000000] Enabling unmasked SIMD FPU exception support... done.
[    0.000000] Initializing CPU#0
[    0.000000] allocated 23592640 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.000000] ------------[ cut here ]------------
[    0.000000] WARNING: at drivers/pci/dmar.c:633 warn_invalid_dmar+0x65/0x77()
[    0.000000] Hardware name: System Product Name
[    0.000000] Your BIOS is broken; DMAR reported at address fed93000 returns all ones!
[    0.000000] BIOS vendor: American Megatrends Inc.; Ver: 0905   ; Product Version: System Version
[    0.000000] Modules linked in:
[    0.000000] Pid: 0, comm: swapper Not tainted 2.6.35.6-48.fc14.i686.PAE #1
[    0.000000] Call Trace:
[    0.000000]  [<c043fbd1>] warn_slowpath_common+0x6a/0x7f
[    0.000000]  [<c05dd134>] ? warn_invalid_dmar+0x65/0x77
[    0.000000]  [<c043fc2a>] warn_slowpath_fmt_taint+0x2c/0x30
[    0.000000]  [<c05dd134>] warn_invalid_dmar+0x65/0x77
[    0.000000]  [<c0a60c49>] check_zero_address+0xbe/0xf4
[    0.000000]  [<c0a60c90>] detect_intel_iommu+0x11/0x69
[    0.000000]  [<c0a401be>] pci_iommu_alloc+0x8/0xa
[    0.000000]  [<c0a4d69f>] mem_init+0xe/0x243
[    0.000000]  [<c0a39656>] start_kernel+0x1b8/0x34f
[    0.000000]  [<c0a39208>] ? unknown_bootoption+0x0/0x18d
[    0.000000]  [<c0a390da>] i386_start_kernel+0xc9/0xd0
[    0.000000] ---[ end trace a7919e7f17c0a725 ]---
[    0.000000] Disabling lock debugging due to kernel taint
[    0.000000] Initializing HighMem for node 0 (000371fe:00120000)
[    0.000000] Memory: 4102124k/4718592k available (3835k kernel code, 82956k reserved, 2534k data, 560k init, 3282376k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xff575000 - 0xfffff000   (10792 kB)
[    0.000000]     pkmap   : 0xff200000 - 0xff400000   (2048 kB)
[    0.000000]     vmalloc : 0xf79fe000 - 0xff1fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf71fe000   ( 881 MB)
[    0.000000]       .init : 0xc0a39000 - 0xc0ac5000   ( 560 kB)
[    0.000000]       .data : 0xc07bef22 - 0xc0a389e0   (2534 kB)
[    0.000000]       .text : 0xc0400000 - 0xc07bef22   (3835 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=13, HWalign=64, Order=0-3, MinObjects=0, CPUs=16, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000]  RCU-based detection of stalled CPUs is disabled.
[    0.000000]  Verbose stalled-CPUs detection is disabled.
[    0.000000] NR_IRQS:2304
[    0.000000] Extended CMOS year: 2000
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] hpet clockevent registered
[    0.000000] Fast TSC calibration using PIT
[    0.001000] Detected 2943.541 MHz processor.
[    0.000004] Calibrating delay loop (skipped), value calculated using timer frequency.. 5887.08 BogoMIPS (lpj=2943541)
[    0.000558] pid_max: default: 32768 minimum: 301
[    0.000856] Security Framework initialized
[    0.001137] SELinux:  Initializing.
[    0.001418] SELinux:  Starting in permissive mode
[    0.001457] Mount-cache hash table entries: 512
[    0.001853] Initializing cgroup subsys ns
[    0.002132] Initializing cgroup subsys cpuacct
[    0.002411] Initializing cgroup subsys memory
[    0.002699] Initializing cgroup subsys devices
[    0.002975] Initializing cgroup subsys freezer
[    0.003251] Initializing cgroup subsys net_cls
[    0.009299] Initializing cgroup subsys blkio
[    0.009598] CPU: Physical Processor ID: 0
[    0.009881] CPU: Processor Core ID: 0
[    0.010158] mce: CPU supports 9 MCE banks
[    0.010441] CPU0: Thermal monitoring enabled (TM1)
[    0.010732] using mwait in idle threads.
[    0.011009] Performance Events: PEBS fmt1+, Westmere events, Intel PMU driver.
[    0.011632] ... version:                3
[    0.011911] ... bit width:              48
[    0.012187] ... generic registers:      4
[    0.012462] ... value mask:             0000ffffffffffff
[    0.012746] ... max period:             000000007fffffff
[    0.013023] ... fixed-purpose events:   3
[    0.013297] ... event mask:             000000070000000f
[    0.013993] ACPI: Core revision 20100428
[    0.045762] ftrace: converting mcount calls to 0f 1f 44 00 00
[    0.046044] ftrace: allocating 23586 entries in 47 pages
[    0.052098] DMAR: Host address width 36
[    0.052376] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
[    0.052666] IOMMU 0: reg_base_addr fed90000 ver 1:0 cap c9008020e30272 ecap 1000
[    0.053181] DMAR: DRHD base: 0x000000fed93000 flags: 0x1
[    0.053476] DMAR: parse DMAR table failure.
[    0.053759] Overriding APIC driver with bigsmp
[    0.054035] Enabling APIC mode:  Physflat.  Using 1 I/O APICs
[    0.054464] Leaving ESR disabled.
[    0.054945] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.065201] CPU0: Intel(R) Core(TM) i3 CPU         530  @ 2.93GHz stepping 02
[    0.167406] Booting Node   0, Processors  #1
[    0.177803] Initializing CPU#1
[    0.178567] Leaving ESR disabled.
[    0.258185]  #2
[    0.269256] Initializing CPU#2
[    0.270123] Leaving ESR disabled.
[    0.350012]  #3
[    0.361083] Initializing CPU#3
[    0.361950] Leaving ESR disabled.
[    0.441613] Brought up 4 CPUs
[    0.442708] Total of 4 processors activated (23547.74 BogoMIPS).
[    0.444482] sizeof(vma)=92 bytes
[    0.444484] sizeof(page)=32 bytes
[    0.444485] sizeof(inode)=352 bytes
[    0.444486] sizeof(dentry)=132 bytes
[    0.444488] sizeof(ext3inode)=508 bytes
[    0.444489] sizeof(buffer_head)=56 bytes
[    0.444490] sizeof(skbuff)=192 bytes
[    0.444491] sizeof(task_struct)=3228 bytes
[    0.444676] devtmpfs: initialized
[    0.445814] atomic64 test passed for i586+ platform with CX8 and with SSE
[    0.446119] Time:  7:16:09  Date: 11/09/10
[    0.446429] NET: Registered protocol family 16
[    0.446782] ACPI: bus type pci registered
[    0.447118] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xf8000000-0xfbffffff] (base 0xf8000000)
[    0.447637] PCI: not using MMCONFIG
[    0.447979] PCI: PCI BIOS revision 3.00 entry at 0xf0031, last bus=6
[    0.448258] PCI: Using configuration type 1 for base access
[    0.449398] bio: create slab <bio-0> at 0
[    0.450784] ACPI: EC: Look up EC in DSDT
[    0.451909] ACPI: Executed 1 blocks of module-level executable AML code
[    0.461410] ACPI: SSDT df788170 01238 (v01 DpgPmm  P001Ist 00000011 INTL 20060113)
[    0.462330] ACPI: Dynamic OEM Table Load:
[    0.462685] ACPI: SSDT (null) 01238 (v01 DpgPmm  P001Ist 00000011 INTL 20060113)
[    0.463483] ACPI: SSDT df7893b0 004D5 (v01  PmRef  P001Cst 00003001 INTL 20060113)
[    0.464345] ACPI: Dynamic OEM Table Load:
[    0.464698] ACPI: SSDT (null) 004D5 (v01  PmRef  P001Cst 00003001 INTL 20060113)
[    0.465475] ACPI: Interpreter enabled
[    0.465755] ACPI: (supports S0 S1 S3 S4 S5)
[    0.466235] ACPI: Using IOAPIC for interrupt routing
[    0.466556] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xf8000000-0xfbffffff] (base 0xf8000000)
[    0.468924] PCI: MMCONFIG at [mem 0xf8000000-0xfbffffff] reserved in ACPI motherboard resources
[    0.469441] PCI: Using MMCONFIG for extended config space
[    0.478142] ACPI: No dock devices found.
[    0.478421] PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
[    0.479250] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.479806] pci_root PNP0A08:00: host bridge window [io  0x0000-0x0cf7] (ignored)
[    0.479808] pci_root PNP0A08:00: host bridge window [io  0x0d00-0xffff] (ignored)
[    0.479810] pci_root PNP0A08:00: host bridge window [mem 0x000a0000-0x000bffff] (ignored)
[    0.479812] pci_root PNP0A08:00: host bridge window [mem 0x000d0000-0x000dffff] (ignored)
[    0.479814] pci_root PNP0A08:00: host bridge window [mem 0xe0000000-0xf7ffffff] (ignored)
[    0.479816] pci_root PNP0A08:00: host bridge window [mem 0xfc000000-0xfed8ffff] (ignored)
[    0.479866] pci 0000:00:01.0: PME# supported from D0 D3hot D3cold
[    0.479869] pci 0000:00:01.0: PME# disabled
[    0.479915] pci 0000:00:1a.0: reg 10: [mem 0xf5ffe000-0xf5ffe3ff]
[    0.479959] pci 0000:00:1a.0: PME# supported from D0 D3hot D3cold
[    0.479963] pci 0000:00:1a.0: PME# disabled
[    0.479989] pci 0000:00:1b.0: reg 10: [mem 0xf5ff8000-0xf5ffbfff 64bit]
[    0.480021] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.480024] pci 0000:00:1b.0: PME# disabled
[    0.480077] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.480080] pci 0000:00:1c.0: PME# disabled
[    0.480132] pci 0000:00:1c.4: PME# supported from D0 D3hot D3cold
[    0.480135] pci 0000:00:1c.4: PME# disabled
[    0.480186] pci 0000:00:1c.5: PME# supported from D0 D3hot D3cold
[    0.480189] pci 0000:00:1c.5: PME# disabled
[    0.480240] pci 0000:00:1c.7: PME# supported from D0 D3hot D3cold
[    0.480242] pci 0000:00:1c.7: PME# disabled
[    0.480276] pci 0000:00:1d.0: reg 10: [mem 0xf5ffd000-0xf5ffd3ff]
[    0.480320] pci 0000:00:1d.0: PME# supported from D0 D3hot D3cold
[    0.480323] pci 0000:00:1d.0: PME# disabled
[    0.480456] pci 0000:00:1f.2: reg 10: [io  0xc880-0xc887]
[    0.480461] pci 0000:00:1f.2: reg 14: [io  0xc800-0xc803]
[    0.480465] pci 0000:00:1f.2: reg 18: [io  0xc480-0xc487]
[    0.480470] pci 0000:00:1f.2: reg 1c: [io  0xc400-0xc403]
[    0.480474] pci 0000:00:1f.2: reg 20: [io  0xc080-0xc09f]
[    0.480479] pci 0000:00:1f.2: reg 24: [mem 0xf5ff7000-0xf5ff77ff]
[    0.480503] pci 0000:00:1f.2: PME# supported from D3hot
[    0.480506] pci 0000:00:1f.2: PME# disabled
[    0.480527] pci 0000:00:1f.3: reg 10: [mem 0xf5ffc000-0xf5ffc0ff 64bit]
[    0.480537] pci 0000:00:1f.3: reg 20: [io  0x0400-0x041f]
[    0.480581] pci 0000:01:00.0: reg 10: [mem 0xf6000000-0xf6ffffff]
[    0.480588] pci 0000:01:00.0: reg 14: [mem 0xe0000000-0xefffffff 64bit pref]
[    0.480595] pci 0000:01:00.0: reg 1c: [mem 0xf2000000-0xf3ffffff 64bit pref]
[    0.480599] pci 0000:01:00.0: reg 24: [io  0xdc00-0xdc7f]
[    0.480603] pci 0000:01:00.0: reg 30: [mem 0xf7e00000-0xf7e7ffff pref]
[    0.480643] pci 0000:01:00.1: reg 10: [mem 0xf7efc000-0xf7efffff]
[    0.480698] pci 0000:00:01.0: PCI bridge to [bus 01-01]
[    0.480977] pci 0000:00:01.0:   bridge window [io  0xd000-0xdfff]
[    0.480979] pci 0000:00:01.0:   bridge window [mem 0xf6000000-0xf7efffff]
[    0.480982] pci 0000:00:01.0:   bridge window [mem 0xe0000000-0xf3ffffff 64bit pref]
[    0.481014] pci 0000:00:1c.0: PCI bridge to [bus 05-05]
[    0.481294] pci 0000:00:1c.0:   bridge window [io  0xf000-0x0000] (disabled)
[    0.481297] pci 0000:00:1c.0:   bridge window [mem 0xfff00000-0x000fffff] (disabled)
[    0.481301] pci 0000:00:1c.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
[    0.481333] pci 0000:00:1c.4: PCI bridge to [bus 04-04]
[    0.481615] pci 0000:00:1c.4:   bridge window [io  0xf000-0x0000] (disabled)
[    0.481618] pci 0000:00:1c.4:   bridge window [mem 0xfff00000-0x000fffff] (disabled)
[    0.481622] pci 0000:00:1c.4:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
[    0.481654] pci 0000:00:1c.5: PCI bridge to [bus 03-03]
[    0.481934] pci 0000:00:1c.5:   bridge window [io  0xf000-0x0000] (disabled)
[    0.481937] pci 0000:00:1c.5:   bridge window [mem 0xfff00000-0x000fffff] (disabled)
[    0.481942] pci 0000:00:1c.5:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
[    0.481998] pci 0000:02:00.0: reg 10: [io  0xe800-0xe8ff]
[    0.482015] pci 0000:02:00.0: reg 18: [mem 0xf4fff000-0xf4ffffff 64bit pref]
[    0.482027] pci 0000:02:00.0: reg 20: [mem 0xf4ff8000-0xf4ffbfff 64bit pref]
[    0.482034] pci 0000:02:00.0: reg 30: [mem 0xf7ff0000-0xf7ffffff pref]
[    0.482069] pci 0000:02:00.0: supports D1 D2
[    0.482070] pci 0000:02:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.482074] pci 0000:02:00.0: PME# disabled
[    0.483621] pci 0000:00:1c.7: PCI bridge to [bus 02-02]
[    0.483908] pci 0000:00:1c.7:   bridge window [io  0xe000-0xefff]
[    0.483911] pci 0000:00:1c.7:   bridge window [mem 0xf7f00000-0xf7ffffff]
[    0.483916] pci 0000:00:1c.7:   bridge window [mem 0xf4f00000-0xf4ffffff 64bit pref]
[    0.483966] pci 0000:00:1e.0: PCI bridge to [bus 06-06] (subtractive decode)
[    0.484249] pci 0000:00:1e.0:   bridge window [io  0xf000-0x0000] (disabled)
[    0.484253] pci 0000:00:1e.0:   bridge window [mem 0xfff00000-0x000fffff] (disabled)
[    0.484257] pci 0000:00:1e.0:   bridge window [mem 0xfff00000-0x000fffff pref] (disabled)
[    0.484259] pci 0000:00:1e.0:   bridge window [io  0x0000-0xffff] (subtractive decode)
[    0.484261] pci 0000:00:1e.0:   bridge window [mem 0x00000000-0xffffffffffffffff] (subtractive decode)
[    0.484280] pci_bus 0000:00: on NUMA node 0
[    0.484284] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
[    0.484488] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR1E._PRT]
[    0.484611] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
[    0.484672] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR20._PRT]
[    0.484723] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR24._PRT]
[    0.484774] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR25._PRT]
[    0.484827] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.BR27._PRT]
[    0.497064] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 6 7 *10 11 12 14 15)
[    0.497853] ACPI: PCI Interrupt Link [LNKB] (IRQs *5)
[    0.498334] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 6 *7 10 11 12 14 15)
[    0.499119] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 6 7 10 *11 12 14 15)
[    0.499904] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 6 7 10 11 12 14 15) *0, disabled.
[    0.500996] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 6 7 10 11 12 14 *15)
[    0.501782] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 6 7 10 11 12 *14 15)
[    0.502568] ACPI: PCI Interrupt Link [LNKH] (IRQs *3 4 6 7 10 11 12 14 15)
[    0.503294] HEST: Table is not found!
[    0.503626] vgaarb: device added: PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
[    0.504143] vgaarb: loaded
[    0.504489] SCSI subsystem initialized
[    0.504837] libata version 3.00 loaded.
[    0.504883] usbcore: registered new interface driver usbfs
[    0.505171] usbcore: registered new interface driver hub
[    0.505469] usbcore: registered new device driver usb
[    0.505797] PCI: Using ACPI for IRQ routing
[    0.506075] PCI: pci_cache_line_size set to 64 bytes
[    0.506116] reserve RAM buffer: 000000000009e800 - 000000000009ffff 
[    0.506118] reserve RAM buffer: 00000000df770000 - 00000000dfffffff 
[    0.506186] NetLabel: Initializing
[    0.506462] NetLabel:  domain hash size = 128
[    0.506741] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.507028] NetLabel:  unlabeled traffic allowed by default
[    0.507341] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0, 0, 0, 0, 0, 0
[    0.507957] hpet0: 8 comparators, 64-bit 14.318180 MHz counter
[    0.510245] Switching to clocksource tsc
[    0.518374] pnp: PnP ACPI init
[    0.518667] ACPI: bus type pnp registered
[    0.521602] pnp: PnP ACPI: found 15 devices
[    0.521879] ACPI: ACPI bus type pnp unregistered
[    0.522163] system 00:01: [mem 0xfed14000-0xfed19fff] has been reserved
[    0.522449] system 00:06: [io  0x0290-0x029f] has been reserved
[    0.522734] system 00:07: [io  0x04d0-0x04d1] has been reserved
[    0.523014] system 00:07: [io  0x0800-0x087f] has been reserved
[    0.523295] system 00:07: [io  0x0500-0x057f] has been reserved
[    0.523579] system 00:07: [mem 0xfed1c000-0xfed1ffff] has been reserved
[    0.523861] system 00:07: [mem 0xfed20000-0xfed3ffff] has been reserved
[    0.524142] system 00:07: [mem 0xfed40000-0xfed8ffff] has been reserved
[    0.524428] system 00:0a: [mem 0xffc00000-0xffdfffff] has been reserved
[    0.524714] system 00:0c: [mem 0xfec00000-0xfec00fff] could not be reserved
[    0.524998] system 00:0c: [mem 0xfee00000-0xfee00fff] has been reserved
[    0.525280] system 00:0d: [mem 0xf8000000-0xfbffffff] has been reserved
[    0.525566] system 00:0e: [mem 0x00000000-0x0009ffff] could not be reserved
[    0.525848] system 00:0e: [mem 0x000c0000-0x000cffff] could not be reserved
[    0.526131] system 00:0e: [mem 0x000e0000-0x000fffff] could not be reserved
[    0.526414] system 00:0e: [mem 0x00100000-0xdfffffff] could not be reserved
[    0.526698] system 00:0e: [mem 0xfed90000-0xffffffff] could not be reserved
[    0.562589] pci 0000:00:1c.0: BAR 14: assigned [mem 0xf4000000-0xf41fffff]
[    0.562873] pci 0000:00:1c.0: BAR 15: assigned [mem 0xf4200000-0xf43fffff 64bit pref]
[    0.563388] pci 0000:00:1c.4: BAR 14: assigned [mem 0xf4400000-0xf45fffff]
[    0.563672] pci 0000:00:1c.4: BAR 15: assigned [mem 0xf4600000-0xf47fffff 64bit pref]
[    0.564187] pci 0000:00:1c.5: BAR 14: assigned [mem 0xf4800000-0xf49fffff]
[    0.564472] pci 0000:00:1c.5: BAR 15: assigned [mem 0xf4a00000-0xf4bfffff 64bit pref]
[    0.564988] pci 0000:00:1c.0: BAR 13: assigned [io  0x1000-0x1fff]
[    0.565270] pci 0000:00:1c.4: BAR 13: assigned [io  0x2000-0x2fff]
[    0.565552] pci 0000:00:1c.5: BAR 13: assigned [io  0x3000-0x3fff]
[    0.565834] pci 0000:00:01.0: PCI bridge to [bus 01-01]
[    0.566113] pci 0000:00:01.0:   bridge window [io  0xd000-0xdfff]
[    0.566396] pci 0000:00:01.0:   bridge window [mem 0xf6000000-0xf7efffff]
[    0.566678] pci 0000:00:01.0:   bridge window [mem 0xe0000000-0xf3ffffff 64bit pref]
[    0.567195] pci 0000:00:1c.0: PCI bridge to [bus 05-05]
[    0.567476] pci 0000:00:1c.0:   bridge window [io  0x1000-0x1fff]
[    0.567758] pci 0000:00:1c.0:   bridge window [mem 0xf4000000-0xf41fffff]
[    0.568041] pci 0000:00:1c.0:   bridge window [mem 0xf4200000-0xf43fffff 64bit pref]
[    0.568561] pci 0000:00:1c.4: PCI bridge to [bus 04-04]
[    0.568840] pci 0000:00:1c.4:   bridge window [io  0x2000-0x2fff]
[    0.569124] pci 0000:00:1c.4:   bridge window [mem 0xf4400000-0xf45fffff]
[    0.569410] pci 0000:00:1c.4:   bridge window [mem 0xf4600000-0xf47fffff 64bit pref]
[    0.569928] pci 0000:00:1c.5: PCI bridge to [bus 03-03]
[    0.570207] pci 0000:00:1c.5:   bridge window [io  0x3000-0x3fff]
[    0.570491] pci 0000:00:1c.5:   bridge window [mem 0xf4800000-0xf49fffff]
[    0.570774] pci 0000:00:1c.5:   bridge window [mem 0xf4a00000-0xf4bfffff 64bit pref]
[    0.571292] pci 0000:00:1c.7: PCI bridge to [bus 02-02]
[    0.571574] pci 0000:00:1c.7:   bridge window [io  0xe000-0xefff]
[    0.571856] pci 0000:00:1c.7:   bridge window [mem 0xf7f00000-0xf7ffffff]
[    0.572140] pci 0000:00:1c.7:   bridge window [mem 0xf4f00000-0xf4ffffff 64bit pref]
[    0.572660] pci 0000:00:1e.0: PCI bridge to [bus 06-06]
[    0.572938] pci 0000:00:1e.0:   bridge window [io  disabled]
[    0.573219] pci 0000:00:1e.0:   bridge window [mem disabled]
[    0.573502] pci 0000:00:1e.0:   bridge window [mem pref disabled]
[    0.573792] pci 0000:00:01.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    0.574075] pci 0000:00:01.0: setting latency timer to 64
[    0.574080] pci 0000:00:1c.0: enabling device (0104 -> 0107)
[    0.574364] pci 0000:00:1c.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    0.574649] pci 0000:00:1c.0: setting latency timer to 64
[    0.574654] pci 0000:00:1c.4: enabling device (0104 -> 0107)
[    0.574935] pci 0000:00:1c.4: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    0.575218] pci 0000:00:1c.4: setting latency timer to 64
[    0.575224] pci 0000:00:1c.5: enabling device (0104 -> 0107)
[    0.575508] pci 0000:00:1c.5: PCI INT B -> GSI 16 (level, low) -> IRQ 16
[    0.575791] pci 0000:00:1c.5: setting latency timer to 64
[    0.575798] pci 0000:00:1c.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[    0.576081] pci 0000:00:1c.7: setting latency timer to 64
[    0.576085] pci 0000:00:1e.0: setting latency timer to 64
[    0.576088] pci_bus 0000:00: resource 0 [io  0x0000-0xffff]
[    0.576090] pci_bus 0000:00: resource 1 [mem 0x00000000-0xffffffffffffffff]
[    0.576092] pci_bus 0000:01: resource 0 [io  0xd000-0xdfff]
[    0.576093] pci_bus 0000:01: resource 1 [mem 0xf6000000-0xf7efffff]
[    0.576095] pci_bus 0000:01: resource 2 [mem 0xe0000000-0xf3ffffff 64bit pref]
[    0.576097] pci_bus 0000:05: resource 0 [io  0x1000-0x1fff]
[    0.576098] pci_bus 0000:05: resource 1 [mem 0xf4000000-0xf41fffff]
[    0.576100] pci_bus 0000:05: resource 2 [mem 0xf4200000-0xf43fffff 64bit pref]
[    0.576102] pci_bus 0000:04: resource 0 [io  0x2000-0x2fff]
[    0.576103] pci_bus 0000:04: resource 1 [mem 0xf4400000-0xf45fffff]
[    0.576105] pci_bus 0000:04: resource 2 [mem 0xf4600000-0xf47fffff 64bit pref]
[    0.576106] pci_bus 0000:03: resource 0 [io  0x3000-0x3fff]
[    0.576108] pci_bus 0000:03: resource 1 [mem 0xf4800000-0xf49fffff]
[    0.576110] pci_bus 0000:03: resource 2 [mem 0xf4a00000-0xf4bfffff 64bit pref]
[    0.576111] pci_bus 0000:02: resource 0 [io  0xe000-0xefff]
[    0.576113] pci_bus 0000:02: resource 1 [mem 0xf7f00000-0xf7ffffff]
[    0.576114] pci_bus 0000:02: resource 2 [mem 0xf4f00000-0xf4ffffff 64bit pref]
[    0.576116] pci_bus 0000:06: resource 4 [io  0x0000-0xffff]
[    0.576118] pci_bus 0000:06: resource 5 [mem 0x00000000-0xffffffffffffffff]
[    0.576136] NET: Registered protocol family 2
[    0.576450] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.576810] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.577831] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.584070] TCP: Hash tables configured (established 131072 bind 65536)
[    0.584354] TCP reno registered
[    0.584630] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.584915] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.585289] NET: Registered protocol family 1
[    0.585626] pci 0000:01:00.0: Boot video device
[    0.585636] PCI: CLS 32 bytes, default 64
[    0.585674] Trying to unpack rootfs image as initramfs...
[    0.833552] Freeing initrd memory: 12588k freed
[    0.836657] apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
[    0.836943] apm: disabled - APM is not SMP safe.
[    0.837323] audit: initializing netlink socket (disabled)
[    0.837611] type=2000 audit(1289286969.648:1): initialized
[    0.846679] highmem bounce pool size: 64 pages
[    0.846959] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.848248] VFS: Disk quotas dquot_6.5.2
[    0.848565] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.849187] msgmni has been set to 1625
[    0.849506] SELinux:  Registering netfilter hooks
[    0.849744] alg: No test for stdrng (krng)
[    0.850059] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.850582] io scheduler noop registered
[    0.850860] io scheduler deadline registered
[    0.851144] io scheduler cfq registered (default)
[    0.851536] pcieport 0000:00:01.0: setting latency timer to 64
[    0.851556] pcieport 0000:00:01.0: irq 40 for MSI/MSI-X
[    0.851597] pcieport 0000:00:1c.0: setting latency timer to 64
[    0.851624] pcieport 0000:00:1c.0: irq 41 for MSI/MSI-X
[    0.851678] pcieport 0000:00:1c.4: setting latency timer to 64
[    0.851705] pcieport 0000:00:1c.4: irq 42 for MSI/MSI-X
[    0.851758] pcieport 0000:00:1c.5: setting latency timer to 64
[    0.851784] pcieport 0000:00:1c.5: irq 43 for MSI/MSI-X
[    0.851836] pcieport 0000:00:1c.7: setting latency timer to 64
[    0.851862] pcieport 0000:00:1c.7: irq 44 for MSI/MSI-X
[    0.851917] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.852209] Firmware did not grant requested _OSC control
[    0.852215] Firmware did not grant requested _OSC control
[    0.852219] Firmware did not grant requested _OSC control
[    0.852233] Firmware did not grant requested _OSC control
[    0.852237] Firmware did not grant requested _OSC control
[    0.852242] Firmware did not grant requested _OSC control
[    0.852247] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.852531] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.853043] pci-stub: invalid id string ""
[    0.853386] intel_idle: MWAIT substates: 0x1120
[    0.853387] intel_idle: v0.4 model 0x25
[    0.853388] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.853476] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
[    0.853998] ACPI: Power Button [PWRB]
[    0.854308] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
[    0.854827] ACPI: Power Button [PWRF]
[    0.855344] ACPI: acpi_idle yielding to intel_idle
[    0.857852] ERST: Table is not found!
[    0.858135] isapnp: Scanning for PnP cards...
[    1.213372] isapnp: No Plug & Play device found
[    1.213843] Non-volatile memory driver v1.3
[    1.214121] Linux agpgart interface v0.103
[    1.214525] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.458413] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    1.458970] 00:0b: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    1.460164] brd: module loaded
[    1.460860] loop: module loaded
[    1.461182] ahci 0000:00:1f.2: version 3.0
[    1.461196] ahci 0000:00:1f.2: PCI INT D -> GSI 21 (level, low) -> IRQ 21
[    1.461500] ahci 0000:00:1f.2: irq 45 for MSI/MSI-X
[    1.461531] ahci: SSS flag set, parallel bus scan disabled
[    1.472135] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 6 ports 3 Gbps 0x3f impl SATA mode
[    1.472659] ahci 0000:00:1f.2: flags: 64bit ncq sntf stag pm led clo pmp pio slum part ems sxs apst 
[    1.473179] ahci 0000:00:1f.2: setting latency timer to 64
[    1.483167] scsi0 : ahci
[    1.483507] scsi1 : ahci
[    1.483830] scsi2 : ahci
[    1.484156] scsi3 : ahci
[    1.484479] scsi4 : ahci
[    1.484796] scsi5 : ahci
[    1.485199] ata1: SATA max UDMA/133 abar m2048@0xf5ff7000 port 0xf5ff7100 irq 45
[    1.485714] ata2: SATA max UDMA/133 irq_stat 0x00400040, connection status changed irq 45
[    1.486232] ata3: SATA max UDMA/133 irq_stat 0x00400040, connection status changed irq 45
[    1.486749] ata4: SATA max UDMA/133 irq_stat 0x00400040, connection status changed irq 45
[    1.487266] ata5: SATA max UDMA/133 abar m2048@0xf5ff7000 port 0xf5ff7300 irq 45
[    1.487781] ata6: SATA max UDMA/133 irq_stat 0x00400040, connection status changed irq 45
[    1.488356] Fixed MDIO Bus: probed
[    1.488678] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.488971] ehci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.489264] ehci_hcd 0000:00:1a.0: setting latency timer to 64
[    1.489267] ehci_hcd 0000:00:1a.0: EHCI Host Controller
[    1.489581] ehci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    1.490117] ehci_hcd 0000:00:1a.0: debug port 2
[    1.494256] ehci_hcd 0000:00:1a.0: cache line size of 32 is not supported
[    1.494269] ehci_hcd 0000:00:1a.0: irq 16, io mem 0xf5ffe000
[    1.504023] ehci_hcd 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    1.504331] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.504613] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.505129] usb usb1: Product: EHCI Host Controller
[    1.505407] usb usb1: Manufacturer: Linux 2.6.35.6-48.fc14.i686.PAE ehci_hcd
[    1.505690] usb usb1: SerialNumber: 0000:00:1a.0
[    1.506044] hub 1-0:1.0: USB hub found
[    1.506322] hub 1-0:1.0: 2 ports detected
[    1.506641] ehci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[    1.506930] ehci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.506933] ehci_hcd 0000:00:1d.0: EHCI Host Controller
[    1.507242] ehci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.507775] ehci_hcd 0000:00:1d.0: debug port 2
[    1.511942] ehci_hcd 0000:00:1d.0: cache line size of 32 is not supported
[    1.511954] ehci_hcd 0000:00:1d.0: irq 23, io mem 0xf5ffd000
[    1.521977] ehci_hcd 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    1.522280] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    1.522561] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.523078] usb usb2: Product: EHCI Host Controller
[    1.523356] usb usb2: Manufacturer: Linux 2.6.35.6-48.fc14.i686.PAE ehci_hcd
[    1.523638] usb usb2: SerialNumber: 0000:00:1d.0
[    1.523984] hub 2-0:1.0: USB hub found
[    1.524262] hub 2-0:1.0: 2 ports detected
[    1.524579] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.524867] uhci_hcd: USB Universal Host Controller Interface driver
[    1.525205] PNP: No PS/2 controller found. Probing ports directly.
[    1.528181] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.528463] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.528771] mice: PS/2 mouse device common for all mice
[    1.529153] rtc_cmos 00:03: RTC can wake from S4
[    1.529459] rtc_cmos 00:03: rtc core: registered rtc_cmos as rtc0
[    1.529761] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[    1.530114] device-mapper: uevent: version 1.0.3
[    1.530471] device-mapper: ioctl: 4.19.1-ioctl (2010-10-12) initialised: dm-devel@redhat.com
[    1.531137] cpuidle: using governor ladder
[    1.531548] cpuidle: using governor menu
[    1.531970] usbcore: registered new interface driver hiddev
[    1.532256] usbcore: registered new interface driver usbhid
[    1.532536] usbhid: USB HID core driver
[    1.532836] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[    1.533200] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[    1.533720] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[    1.534238] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[    1.534571] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.534865] TCP cubic registered
[    1.535143] Initializing XFRM netlink socket
[    1.535426] NET: Registered protocol family 17
[    1.535722] Using IPI No-Shortcut mode
[    1.536052] PM: Resume from disk failed.
[    1.536059] registered taskstats version 1
[    1.536567]   Magic number: 2:167:268
[    1.536894] rtc_cmos 00:03: setting system clock to 2010-11-09 07:16:10 UTC (1289286970)
[    1.537431] Initalizing network drop monitor service
[    1.807342] usb 1-1: new high speed USB device using ehci_hcd and address 2
[    1.921474] usb 1-1: New USB device found, idVendor=8087, idProduct=0020
[    1.921756] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    1.922265] hub 1-1:1.0: USB hub found
[    1.922715] hub 1-1:1.0: 6 ports detected
[    1.947011] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.948462] ata1.00: ATA-8: ST3500418AS, CC38, max UDMA/133
[    1.948741] ata1.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[    1.950417] ata1.00: configured for UDMA/133
[    1.961208] scsi 0:0:0:0: Direct-Access     ATA      ST3500418AS      CC38 PQ: 0 ANSI: 5
[    1.961821] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.961897] sd 0:0:0:0: [sda] 976773168 512-byte logical blocks: (500 GB/465 GiB)
[    1.961956] sd 0:0:0:0: [sda] Write Protect is off
[    1.961958] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.961978] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.962075]  sda: sda1 sda2 sda3
[    1.975257] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.025786] usb 2-1: new high speed USB device using ehci_hcd and address 2
[    2.139921] usb 2-1: New USB device found, idVendor=8087, idProduct=0020
[    2.140202] usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.140716] hub 2-1:1.0: USB hub found
[    2.141149] hub 2-1:1.0: 8 ports detected
[    2.415994] usb 2-1.2: new full speed USB device using ehci_hcd and address 3
[    2.498654] usb 2-1.2: New USB device found, idVendor=03f0, idProduct=0a01
[    2.498935] usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=12
[    2.499428] usb 2-1.2: Product: hp scanjet scanner
[    2.499698] usb 2-1.2: Manufacturer: Hewlett-Packard
[    2.499964] usb 2-1.2: SerialNumber: CN68TSR1M3
[    2.573592] usb 2-1.8: new full speed USB device using ehci_hcd and address 4
[    2.658872] usb 2-1.8: New USB device found, idVendor=0557, idProduct=7000
[    2.659158] usb 2-1.8: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.659877] hub 2-1.8:1.0: USB hub found
[    2.660327] hub 2-1.8:1.0: 4 ports detected
[    2.838743] ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    2.840282] ata2.00: ATA-8: ST31000528AS, CC38, max UDMA/133
[    2.840572] ata2.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[    2.842356] ata2.00: configured for UDMA/133
[    2.853926] scsi 1:0:0:0: Direct-Access     ATA      ST31000528AS     CC38 PQ: 0 ANSI: 5
[    2.854542] sd 1:0:0:0: [sdb] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[    2.854567] sd 1:0:0:0: Attached scsi generic sg1 type 0
[    2.855386] sd 1:0:0:0: [sdb] Write Protect is off
[    2.855661] sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[    2.855679] sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.862311]  sdb: sdb1
[    2.885368] sd 1:0:0:0: [sdb] Attached SCSI disk
[    2.923706] usb 2-1.8.1: new low speed USB device using ehci_hcd and address 5
[    3.037786] usb 2-1.8.1: New USB device found, idVendor=03f0, idProduct=0024
[    3.038069] usb 2-1.8.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    3.038567] usb 2-1.8.1: Product: HP Basic USB Keyboard
[    3.038833] usb 2-1.8.1: Manufacturer: CHICONY
[    3.055668] input: CHICONY HP Basic USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.8/2-1.8.1/2-1.8.1:1.0/input/input2
[    3.056223] generic-usb 0003:03F0:0024.0001: input,hidraw0: USB HID v1.10 Keyboard [CHICONY HP Basic USB Keyboard] on usb-0000:00:1d.0-1.8.1/input0
[    3.119226] usb 2-1.8.4: new low speed USB device using ehci_hcd and address 6
[    3.210983] usb 2-1.8.4: New USB device found, idVendor=046d, idProduct=c03d
[    3.211264] usb 2-1.8.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    3.211762] usb 2-1.8.4: Product: USB-PS/2 Optical Mouse
[    3.212028] usb 2-1.8.4: Manufacturer: Logitech
[    3.215467] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.8/2-1.8.4/2-1.8.4:1.0/input/input3
[    3.216032] generic-usb 0003:046D:C03D.0002: input,hidraw1: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.0-1.8.4/input0
[    3.730478] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    3.732020] ata3.00: ATA-8: ST31000528AS, CC38, max UDMA/133
[    3.732311] ata3.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[    3.734093] ata3.00: configured for UDMA/133
[    3.745624] scsi 2:0:0:0: Direct-Access     ATA      ST31000528AS     CC38 PQ: 0 ANSI: 5
[    3.746235] sd 2:0:0:0: [sdc] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[    3.746253] sd 2:0:0:0: Attached scsi generic sg2 type 0
[    3.747163] sd 2:0:0:0: [sdc] Write Protect is off
[    3.747464] sd 2:0:0:0: [sdc] Mode Sense: 00 3a 00 00
[    3.747504] sd 2:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.748259]  sdc: sdc1
[    3.764418] sd 2:0:0:0: [sdc] Attached SCSI disk
[    4.622217] ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    4.623749] ata4.00: ATA-8: ST31000528AS, CC38, max UDMA/133
[    4.624040] ata4.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32)
[    4.625818] ata4.00: configured for UDMA/133
[    4.637324] scsi 3:0:0:0: Direct-Access     ATA      ST31000528AS     CC38 PQ: 0 ANSI: 5
[    4.637936] sd 3:0:0:0: [sdd] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[    4.637963] sd 3:0:0:0: Attached scsi generic sg3 type 0
[    4.638804] sd 3:0:0:0: [sdd] Write Protect is off
[    4.639084] sd 3:0:0:0: [sdd] Mode Sense: 00 3a 00 00
[    4.639100] sd 3:0:0:0: [sdd] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    4.639703]  sdd: sdd1
[    4.651367] sd 3:0:0:0: [sdd] Attached SCSI disk
[    4.941389] ata5: SATA link down (SStatus 0 SControl 300)
[    5.828155] ata6: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    5.829968] ata6.00: ATAPI: TSSTcorp CDDVDW SH-S223C, SB02, max UDMA/100
[    6.429350] ata6.00: configured for UDMA/100
[    7.041803] scsi 5:0:0:0: CD-ROM            TSSTcorp CDDVDW SH-S223C  SB02 PQ: 0 ANSI: 5
[    7.049930] sr0: scsi3-mmc drive: 52x/52x writer dvd-ram cd/rw xa/form2 cdda tray
[    7.050452] Uniform CD-ROM driver Revision: 3.20
[    7.050789] sr 5:0:0:0: Attached scsi CD-ROM sr0
[    7.050825] sr 5:0:0:0: Attached scsi generic sg4 type 5
[    7.051227] Freeing unused kernel memory: 560k freed
[    7.051735] Write protecting the kernel text: 3836k
[    7.052174] Write protecting the kernel read-only data: 1860k
[    7.064581] dracut: dracut-006-3.fc14
[    7.069954] dracut: rd_NO_LUKS: removing cryptoluks activation
[    7.071189] dracut: rd_NO_LVM: removing LVM activation
[    7.077328] udev[104]: starting version 161
[    7.143146] dracut: Starting plymouth daemon
[    7.152125] dracut: rd_NO_DM: removing DM RAID activation
[    7.153550] dracut: rd_NO_MD: removing MD RAID activation
[    7.441203] EXT3-fs: barriers not enabled
[    7.456836] kjournald starting.  Commit interval 5 seconds
[    7.457078] EXT3-fs (sda3): mounted filesystem with ordered data mode
[    7.530605] dracut: Mounted root filesystem /dev/sda3
[    7.640538] dracut: Loading SELinux policy
[    8.107339] SELinux: 2048 avtab hash slots, 205816 rules.
[    8.164201] SELinux: 2048 avtab hash slots, 205816 rules.
[    8.338367] SELinux:  9 users, 14 roles, 3442 types, 179 bools, 1 sens, 1024 cats
[    8.338371] SELinux:  77 classes, 205816 rules
[    8.342053] SELinux:  Completing initialization.
[    8.342054] SELinux:  Setting up existing superblocks.
[    8.342060] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[    8.342066] SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
[    8.342225] SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
[    8.342229] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[    8.342235] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    8.342244] SELinux: initialized (dev devtmpfs, type devtmpfs), uses transition SIDs
[    8.342959] SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
[    8.342963] SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
[    8.343412] SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
[    8.343417] SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
[    8.343420] SELinux: initialized (dev devpts, type devpts), uses transition SIDs
[    8.343437] SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
[    8.343452] SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
[    8.343457] SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
[    8.343468] SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
[    8.343473] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[    8.343715] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    8.369110] SELinux: initialized (dev sda3, type ext3), uses xattr
[    8.370748] type=1403 audit(1289286977.350:2): policy loaded auid=4294967295 ses=4294967295
[    8.703160] dracut: Switching root
[    9.666564] readahead-collector: starting
[   10.425464] udev[414]: starting version 161
[   10.742956] WARNING! power/level is deprecated; use power/control instead
[   11.069436] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[   11.069967] ACPI: resource 0000:00:1f.3 [io  0x0400-0x041f] conflicts with ACPI region SMRG [??? 0x00000400-0x0000040f flags 0x47]
[   11.070453] iTCO_vendor_support: vendor-support=0
[   11.070784] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.105487] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.06
[   11.105951] iTCO_wdt: Found a P55 TCO device (Version=2, TCOBASE=0x0860)
[   11.106300] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   11.122136] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[   11.122444] r8169 0000:02:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[   11.122766] r8169 0000:02:00.0: setting latency timer to 64
[   11.122820] r8169 0000:02:00.0: irq 46 for MSI/MSI-X
[   11.122915] r8169 0000:02:00.0: eth0: RTL8168d/8111d at 0xf80fc000, 90:e6:ba:d6:47:a8, XID 083000c0 IRQ 46
[   11.130821] microcode: CPU0 sig=0x20652, pf=0x2, revision=0x9
[   11.131111] microcode: CPU1 sig=0x20652, pf=0x2, revision=0x9
[   11.131476] microcode: CPU2 sig=0x20652, pf=0x2, revision=0x9
[   11.131822] microcode: CPU3 sig=0x20652, pf=0x2, revision=0x9
[   11.132221] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[   11.647287] [drm] Initialized drm 1.1.0 20060810
[   12.463105] microcode: CPU0 updated to revision 0xc, date = 2010-06-10
[   12.463899] microcode: CPU1 updated to revision 0xc, date = 2010-06-10
[   12.464693] microcode: CPU2 updated to revision 0xc, date = 2010-06-10
[   12.465507] microcode: CPU3 updated to revision 0xc, date = 2010-06-10
[   12.827408] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   12.827966] HDA Intel 0000:00:1b.0: irq 47 for MSI/MSI-X
[   12.827986] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   13.023581] ALSA sound/pci/hda/hda_codec.c:4435: autoconfig: line_outs=4 (0x1c/0x19/0x22/0x23/0x0)
[   13.023585] ALSA sound/pci/hda/hda_codec.c:4439:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[   13.023587] ALSA sound/pci/hda/hda_codec.c:4443:    hp_outs=1 (0x1d/0x0/0x0/0x0/0x0)
[   13.023589] ALSA sound/pci/hda/hda_codec.c:4444:    mono: mono_out=0x0
[   13.023591] ALSA sound/pci/hda/hda_codec.c:4447:    dig-out=0x20/0x21
[   13.023593] ALSA sound/pci/hda/hda_codec.c:4455:    inputs: mic=0x1a, fmic=0x1e, line=0x1b, fline=0x0, cd=0x1f, aux=0x0
[   13.031033] HDA Intel 0000:01:00.1: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   13.031635] hda_intel: Disable MSI for Nvidia chipset
[   13.031990] HDA Intel 0000:01:00.1: setting latency timer to 64
[   13.094952] md: bind<sdb1>
[   13.096708] mdadm[770]: segfault at 46 ip 0037e997 sp bfc6caa0 error 4 in libc-2.12.90.so[31f000+18d000]
[   13.294660] md: array md0 already has disks!
[   13.452771] nvidia: module license 'NVIDIA' taints kernel.
[   13.494448] md: array md0 already has disks!
[   13.512018] audit: name_count maxed, losing inode data: dev=00:05, inode=11325
[   13.512082] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512092] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512154] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512165] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512201] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512210] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512238] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512246] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512276] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512284] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512314] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512323] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512417] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   13.512426] audit: name_count maxed, losing inode data: dev=00:05, inode=10811
[   14.033844] nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   14.034180] nvidia 0000:01:00.0: setting latency timer to 64
[   14.034184] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[   14.034883] NVRM: loading NVIDIA UNIX x86 Kernel Module  260.19.12  Fri Oct  8 13:22:24 PDT 2010
[   14.709569] async_tx: api initialized (async)
[   14.716426] xor: automatically using best checksumming function: pIII_sse
[   14.721478]    pIII_sse  : 10812.000 MB/sec
[   14.721797] xor: using function: pIII_sse (10812.000 MB/sec)
[   14.761396] raid6: int32x1   1148 MB/s
[   14.778382] raid6: int32x2    832 MB/s
[   14.795318] raid6: int32x4    945 MB/s
[   14.812269] raid6: int32x8    699 MB/s
[   14.829219] raid6: mmxx1     3972 MB/s
[   14.846161] raid6: mmxx2     4554 MB/s
[   14.863125] raid6: sse1x1    3265 MB/s
[   14.880090] raid6: sse1x2    3949 MB/s
[   14.897031] raid6: sse2x1    6945 MB/s
[   14.913991] raid6: sse2x2    7789 MB/s
[   14.914308] raid6: using algorithm sse2x2 (7789 MB/s)
[   14.920504] md: raid6 personality registered for level 6
[   14.920829] md: raid5 personality registered for level 5
[   14.921155] md: raid4 personality registered for level 4
[   14.921586] md/raid:md0: device sdb1 operational as raid disk 0
[   14.922191] md/raid:md0: allocated 3179kB
[   14.922575] md/raid:md0: not enough operational devices (2/3 failed)
[   14.922943] RAID conf printout:
[   14.922944]  --- level:5 rd:3 wd:1
[   14.922946]  disk 0, o:1, dev:sdb1
[   14.923124] md/raid:md0: failed to run raid set.
[   14.923446] md: pers->run() failed ...
[   15.506615] EXT3-fs (sda3): using internal journal
[   15.917470] EXT3-fs: barriers not enabled
[   15.935297] kjournald starting.  Commit interval 5 seconds
[   15.935587] EXT3-fs (sda1): using internal journal
[   15.935591] EXT3-fs (sda1): mounted filesystem with ordered data mode
[   15.945599] SELinux: initialized (dev sda1, type ext3), uses xattr
[   16.946570] Adding 8191996k swap on /dev/sda2.  Priority:-1 extents:1 across:8191996k 
[   16.949740] SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
[   17.407835] readahead-disable-service: delaying service auditd
[   18.596564] NET: Registered protocol family 10
[   18.597635] lo: Disabled Privacy Extensions
[   19.309431] RPC: Registered udp transport module.
[   19.309756] RPC: Registered tcp transport module.
[   19.310082] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   19.315745] SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
[   23.548891] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   23.554304] SELinux: initialized (dev nfsd, type nfsd), uses genfs_contexts
[   23.773570] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
[   23.792703] NFSD: starting 90-second grace period
[   24.204957] vboxdrv: Trying to deactivate the NMI watchdog permanently...
[   24.204961] vboxdrv: Warning: 2.6.31+ kernel detected. Most likely the hardware performance
[   24.204963] vboxdrv: counter framework which can generate NMIs is active. You have to prevent
[   24.204964] vboxdrv: the usage of hardware performance counters by
[   24.204966] vboxdrv:   echo 2 > /proc/sys/kernel/perf_counter_paranoid
[   24.206809] vboxdrv: Found 4 processor cores.
[   24.207835] vboxdrv: fAsync=0 offMin=0x660 offMax=0x18724
[   24.208564] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[   24.209162] vboxdrv: Successfully loaded version 3.2.10 (interface 0x00140001).
[   27.138008] r8169 0000:02:00.0: eth0: link up
[   27.138356] r8169 0000:02:00.0: eth0: link up
[   27.226384] md: md0 stopped.
[   27.226724] md: unbind<sdb1>
[   27.236830] md: export_rdev(sdb1)
[   27.275234] md: md0 stopped.
[   27.279584] md: bind<sdc1>
[   27.280259] md: bind<sdd1>
[   27.280773] md: bind<sdb1>
[   27.295214] md/raid:md0: device sdb1 operational as raid disk 0
[   27.295540] md/raid:md0: device sdd1 operational as raid disk 2
[   27.295870] md/raid:md0: device sdc1 operational as raid disk 1
[   27.296577] md/raid:md0: allocated 3179kB
[   27.296956] md/raid:md0: raid level 5 active with 3 out of 3 devices, algorithm 2
[   27.297555] RAID conf printout:
[   27.297557]  --- level:5 rd:3 wd:3
[   27.297559]  disk 0, o:1, dev:sdb1
[   27.297561]  disk 1, o:1, dev:sdc1
[   27.297563]  disk 2, o:1, dev:sdd1
[   27.298408] md0: bitmap initialized from disk: read 1/1 pages, set 0 bits
[   27.298743] created bitmap (8 pages) for device md0
[   27.318044] md0: detected capacity change from 0 to 2000403038208
[   27.319054]  md0: unknown partition table
[   27.408348] EXT3-fs: barriers not enabled
[   27.428210] kjournald starting.  Commit interval 5 seconds
[   27.466650] EXT3-fs (md0): using internal journal
[   27.467071] EXT3-fs (md0): mounted filesystem with ordered data mode
[   27.469525] SELinux: initialized (dev md0, type ext3), uses xattr
[   37.504722] eth0: no IPv6 routers present
[   39.228178] readahead-collector: starting delayed service auditd
[   39.541319] readahead-collector: sorting
[   39.737774] readahead-collector: finished
Comment 4 James Laska 2010-11-09 08:42:25 EST
(In reply to comment #3)
> hi
> 
> updated F13 to F14 yesterday and the raid5 is marked as inactive 
> here.  Stopping the raid and reassembling works.

Thanks for the feedback.  Just a minor note for next time ... it is much better on the eyes (and the maintainer) to attach log files to a bug, rather than posting them as comments.

(In reply to comment #2)
> James - have you seen anything like this before?  I think we can solve this,
> but a quick look at the code shows it's going to require some stepping through,
> so we need a reliable reproducer.

We test upgrades and we test software RAID, but we don't actively test upgrading software RAID systems where the software RAID partition is something other than '/'.  I'll attempt to reproduce now and reply with an update.
Comment 5 James Laska 2010-11-09 10:23:33 EST
(In reply to comment #0)
> Description of problem:
> 
> In my computer I have a single drive for OS use and separate "storage" raid5
> array - software array. I was happily using it in Fedora 13, did an upgrade to
> Fedora 14 today - during the installation process anaconda has correctly
> identified the raid array, so I've set a mount point for it as /media/Storage.
> 
> when I restarted my computer, it turned out that raid array is no longer
> running, drives are missing etc and system didn't boot. You don't really want
> to see messages like that after the os installation.

I tested this procedure by installing Fedora 13 with a software RAID5 '/opt' partition.

After upgrade, the partition was assembled and mounted as expected.

(In reply to comment #0)
> That reminded me about the kernel command line switches... when I looked into
> /etc/grub.conf, I saw something like that:
> 
> kernel /vmlinuz-2.6.35.6-48.fc14.i686 ro
> root=UUID=9a6e3b13-ea78-47d9-94fd-c5c0112538ac rd_NO_LUKS rd_NO_LVM rd_NO_MD
> rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=pl2 rhgb quiet
> 
> to my understanding, it basically tells kernel, that no lvm, no software raid,
> no encryption etc. is in use... which is incorrect. removing all those rd_NO_*
> bits fixes an issue and I can have my raid array mounted on boot, yay.


I don't think that is an accurate explanation of the rd_NO_* boot arguments.  For example, look at the boot args in my successful F13->F14 software RAID upgrade scenario.

# cat /proc/cmdline 
ro root=UUID=f9ba4f3f-f9fa-4017-b1b1-cc9b7032a818 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us console=ttyS0 rhgb quiet

The rd_NO_LVM and rd_NO_DM are used to tell dracut, the initial ramdisk software, that the '/' filesystem is not on an LVM or devicemapper (RAID) volume.  Based on the partitioning scenario you described, LVM and DM should not be needed to access your '/' partition.
Comment 6 Chris Lumens 2010-11-09 11:03:47 EST
Could someone who is seeing this problem post their /etc/fstab?  Also, knowing what filesystems exist on RAID would be really helpful.  Thanks.
Comment 7 Jurgen Kramer 2010-11-09 11:54:03 EST
It seems we have multiple issues here causing the raidset not to come online. My problem is caused by the rd_NO_* parameters:

Nov  6 15:51:32 nasng kernel: [    0.000000] Command line: ro root=/dev/mapper/vg_nasng-lv_root rd_LVM_LV=vg_nasng/lv_root rd_LVM_LV=vg_nasng/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
Nov  6 15:51:32 nasng kernel: [    0.000000]   NODE_DATA [0000000100000000 - 0000000100013fff]
Nov  6 15:51:32 nasng kernel: [    0.000000]   #12 [0100000000 - 0100014000]        NODE_DATA ==> [0100000000 - 0100014000]
Nov  6 15:51:32 nasng kernel: [    0.000000] Kernel command line: ro root=/dev/mapper/vg_nasng-lv_root rd_LVM_LV=vg_nasng/lv_root rd_LVM_LV=vg_nasng/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
Nov  6 15:51:32 nasng kernel: [    5.401978] dracut: rd_NO_LUKS: removing cryptoluks activation
Nov  6 15:51:32 nasng kernel: [    6.358400] dracut: rd_NO_DM: removing DM RAID activation
Nov  6 15:51:32 nasng kernel: [    6.360337] dracut: rd_NO_MD: removing MD RAID activation

after removing rd_NO_MD from grub.conf and recreating the ramdisk file I get:

Nov  9 10:01:03 nasng kernel: [    5.395775] dracut: dracut-006-3.fc14
Nov  9 10:01:03 nasng kernel: [    5.403322] dracut: rd_NO_LUKS: removing cryptoluks activation
Nov  9 10:01:03 nasng kernel: [    5.492684] dracut: Starting plymouth daemon
Nov  9 10:01:03 nasng kernel: [    5.968407] dracut: Scanning devices sda2  for LVM logical volumes vg_nasng/lv_root vg_nasng/lv_swap 
Nov  9 10:01:03 nasng kernel: [    6.013744] dracut: inactive '/dev/vg_nasng/lv_root' [50.00 GiB] inherit
Nov  9 10:01:03 nasng kernel: [    6.013786] dracut: inactive '/dev/vg_nasng/lv_swap' [9.81 GiB] inherit
Nov  9 10:01:03 nasng kernel: [    6.013824] dracut: inactive '/dev/vg_nasng/lv_home' [630.81 GiB] inherit
Nov  9 10:01:03 nasng kernel: [    6.332968] dracut: Autoassembling MD Raid
Nov  9 10:01:03 nasng kernel: [    6.469482] dracut: mdadm: /dev/md0 has been started with 3 drives.
Nov  9 10:01:03 nasng kernel: [    6.646238] dracut: Mounted root filesystem /dev/mapper/vg_nasng-lv_root
Nov  9 10:01:03 nasng kernel: [    6.764334] dracut: Loading SELinux policy
Nov  9 10:01:03 nasng kernel: [    8.049213] dracut: Switching root

The filesystem on the raidset is ext4
Comment 8 markm 2010-11-09 18:47:35 EST
> (In reply to comment #0)
> > That reminded me about the kernel command line switches... when I looked into
> > /etc/grub.conf, I saw something like that:
> > 
> > kernel /vmlinuz-2.6.35.6-48.fc14.i686 ro
> > root=UUID=9a6e3b13-ea78-47d9-94fd-c5c0112538ac rd_NO_LUKS rd_NO_LVM rd_NO_MD
> > rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=pl2 rhgb quiet
> > 
> > to my understanding, it basically tells kernel, that no lvm, no software raid,
> > no encryption etc. is in use... which is incorrect. removing all those rd_NO_*
> > bits fixes an issue and I can have my raid array mounted on boot, yay.
> 
> 
> I don't think that is an accurate explanation of the rd_NO_* boot arguments. 
> For example, look at the boot args in my successful F13->F14 software RAID
> upgrade scenario.
> 
> # cat /proc/cmdline 
> ro root=UUID=f9ba4f3f-f9fa-4017-b1b1-cc9b7032a818 rd_NO_LUKS rd_NO_LVM rd_NO_MD
> rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us console=ttyS0
> rhgb quiet
> 
> The rd_NO_LVM and rd_NO_DM are used to tell dracut, the initial ramdisk
> software, that the '/' filesystem is not on an LVM or devicemapper (RAID)
> volume.  Based on the partitioning scenario you described, LVM and DM should
> not be needed to access your '/' partition.

Probably, but I am just an user who expects it to work - believe me or not I thought I've lost my data!

What I did first was log in in recover mode, comment out a raid device in /etc/fstab and computer started - than changed grub.conf, reverted changes from the /etc/fstab and everything works as expected - my raid is mounted as /media/Storage - I keep my music there, so it's handy to have it mounted on start.
Comment 9 Steve 2010-11-10 00:43:57 EST
Created attachment 459320 [details]
/etc/fstab and 'fdisk -l' output

outputs and transcripts
fdisk, fstab
Comment 10 Chris Lumens 2010-11-11 15:53:00 EST
markm, Jurgen:  Could you also please post your /etc/fstab files to this bug report?  What I am trying to verify here is that your RAID device is not / or swap.  It looks like that's what is going on.  I just want to make doubly sure before continuing on here.  Thanks.
Comment 11 markm 2010-11-11 18:29:25 EST
Created attachment 459876 [details]
/etc/fstab file

(In reply to comment #10)
> markm, Jurgen:  Could you also please post your /etc/fstab files to this bug
> report?  What I am trying to verify here is that your RAID device is not / or
> swap.  It looks like that's what is going on.  I just want to make doubly sure
> before continuing on here.  Thanks.

here it comes, thanks!
Comment 12 Jurgen Kramer 2010-11-12 09:18:02 EST
Created attachment 460060 [details]
/etc/fstab

last to entries are added by me and were copied over from the fstab I had in use when running F11.
Comment 13 Chris Lumens 2010-11-12 10:03:15 EST
Harald - the way anaconda is set up right now, if neither / nor swap is on RAID, we add rd_NO_MD.  Similarly for LVM, LUKS, etc.  I believe the original intention on our side was that those options were necessary only for the / and swap case.  However, it looks from this bug report like specifying them completely disables RAID support therefore there are mount errors on boot up.

Should we just never include those options or what?

The commit that introduced this stuff to anaconda is:

commit 0a461ac698d4b2e9e107991dd610529f36eb132e
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Dec 22 19:38:32 2009 +0100

    Write dracut rd_NO_foo options to grub.conf
    
    When we don't specify any MD / LVM / DM / LUKS to activate dracut will
    activate all found by default, so when we don't specify any write
    RD_NO_foo to the kernel cmdline in grub.
Comment 14 Harald Hoyer 2010-11-12 10:22:12 EST
(In reply to comment #13)
> Harald - the way anaconda is set up right now, if neither / nor swap is on
> RAID, we add rd_NO_MD.  Similarly for LVM, LUKS, etc.  I believe the original
> intention on our side was that those options were necessary only for the / and
> swap case.  However, it looks from this bug report like specifying them
> completely disables RAID support therefore there are mount errors on boot up.
> 
> Should we just never include those options or what?
> 

no, rd_NO_MD just disables MD stuff in the initramfs... real root should not be affected by this.


[   13.094952] md: bind<sdb1>
[   13.096708] mdadm[770]: segfault at 46 ip 0037e997 sp bfc6caa0 error 4 in
libc-2.12.90.so[31f000+18d000]

Here we go.... the mdadm version in the initramfs might not yet be updated to the version on the real root. So it is working without segfaulting.
Comment 15 Chris Lumens 2010-11-12 10:40:46 EST
Reassigning based on comment #14.  Good catch on the segfault there.
Comment 16 Doug Ledford 2010-11-12 11:41:20 EST
The rd_NO_MD is not the culprit here.  That things work when it is removed is merely because the ramdisk takes a different approach to starting devices than does the system post ramdisk.  Evidently the post ramdisk method is segfaulting for some reason (and not one readily identifiable as the segfault is happening in glibc, which means the mdadm binary is doing something glibc doesn't like and it will take some effort to track that down).  The removal of rd_NO_MD is a suitable workaround, but it is not the "fix".
Comment 17 Chris Lumens 2010-11-18 15:26:31 EST
*** Bug 654818 has been marked as a duplicate of this bug. ***
Comment 18 Mike Gahagan 2010-11-22 17:13:37 EST
I hit a similar issue after installing F14. I'm using LVM over MD 0.90 RAID5 for some data disks that are not needed for booting. Apperantly there were a couple of issues in my case, first it looks like mdadm will no longer look for the older on-disk formats with the default mdadm.conf in F14 (mdadm --auto-detect would always bring up the array once the system booted but that isn't how mdadm is called in rc.sysinit/udev land)

I fixed this editing mdadm.conf as follows:

DEVICES  /dev/sdb2 /dev/sdc2 /dev/sdd2  #the only devices that have arrays on them
ARRAY  /dev/md127 uuid=<my_uuid>

 I could have probably messed with the auto line that was already there, but I knew this would work the most reliably in my case.

I then had intermittent failures during boot to bring up the array (most likely bz 650803 or similar) and the system would boot sucessfully about 1/3 of the time. I then installed mdadm-3.1.3-0.git20100804.2.fc14 from updates-testing and have had no problems since.
Comment 19 William 2010-11-24 00:21:24 EST
(In reply to comment #6)
> Could someone who is seeing this problem post their /etc/fstab?  Also, knowing
> what filesystems exist on RAID would be really helpful.  Thanks.

I'm new and dont know how to attach... i receive the same error.  here is my information

(I just did a fresh install yesterday..)

#
# /etc/fstab
# Created by anaconda on Mon Nov 22 17:51:55 2010
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/vg_fedora-lv_root /                       ext4    defaults        1 1
UUID=4ed24e34-91da-4fd9-ab28-1d00346cbc56 /boot                   ext4    defaults        1 2
/dev/mapper/vg_fedora-lv_home /home                   ext4    defaults        1 2
/dev/mapper/vg_fedora-lv_swap swap                    swap    defaults        0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0


[w~]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_fedora-lv_root
                       50G  3.9G   43G   9% /
tmpfs                 985M  436K  984M   1% /dev/shm
/dev/sda1             485M   46M  414M  10% /boot
/dev/mapper/vg_fedora-lv_home
                       94G   12G   78G  13% /home
Comment 20 William 2010-11-24 00:31:56 EST
Created attachment 462533 [details]
my fstab and df -h

I pasted my information above... but here is an attachment.
Comment 21 Doug Ledford 2011-07-14 19:39:11 EDT
There was a broken mdadm shipped in f14, and later an update that resolved a race condition when udev fires off more than one mdadm instance at a time.  The initramfs udev is not so likely to fire off more than one mdadm, while the post initramfs udev is.  My guess is that this should be resolved by that mdadm update.  Please reopen this bug if the latest f14 mdadm isn't working still.

Note You need to log in before you can comment on or make changes to this bug.